import java.awt.*;

public class FlowLayoutTest extends Frame{
  public FlowLayoutTest(){
	//设置容器 FlowLayoutTest 的布局管理器。
	setLayout(new FlowLayout());

	for(int i=0;i<10;i++){
	  add(new Button("Button "+i));
	  add(new TextField());
	}
	
	setSize(300,300);
	setVisible(true);
  }

  public static void main (String[] args){
	new FlowLayoutTest();
  }
}
